<?
//
//
#Автор: Jquery
#telegram: @justin_olivier
//
//
require_once($_SERVER['DOCUMENT_ROOT'].'/jquery/inc/system.php');
//
//
head([]);
//
//
if(!$user){
header('location:/login/');
exit();
}
//
//
if($user['save'] != 0){
header('location:/index/');
exit();
}
//
//
$r = rand(100000,900000);
//
//
if(isset($_POST['enter'])):
			$name = text($_POST['name']);
			$password = text($_POST['password']);
			$gender = num($_POST['gender']);
			$email = text($_POST['email']);
			//
// 
                        if (filter_var($email, FILTER_VALIDATE_EMAIL) === FALSE):
				$err = 'Email указан не верно.';
			elseif(DB::$dbs->querySingle('SELECT COUNT(`id`) FROM `users` WHERE `email` = ?', [$email]) > 0):
				$err = 'Пользователь с данным email зарегистрирован';
			endif;
			if (empty($password) || mb_strlen($password, 'UTF-8') < 1 || mb_strlen($password, 'UTF-8') > 40):
				$err = 'Не правильная длина пароля';
			endif;
			if (empty($name) || mb_strlen($name, 'UTF-8') < 1 || mb_strlen($name, 'UTF-8') > 30):
				$err = 'Не правильная длина логина';
			elseif(DB::$dbs->querySingle('SELECT COUNT(`id`) FROM `users` WHERE `name` = ?', [$name]) > 0):
				$err = 'Пользователь с данным логином зарегистрирован';
			endif;
			//
//
			if(isset($err)):
				err($err);
				header('location: /save/?'.$r); exit;
			else:
				$token = password_hash(time().$password, PASSWORD_DEFAULT);
				$pass = password_hash($password, PASSWORD_DEFAULT);

//
//
$medal1 = DB::$dbs->queryFetch("SELECT * FROM `medal_user` WHERE `id_task` = ? AND `id_user` = ? LIMIT 1", array(1,$user['id']));
if($medal1['check'] == 0)DB::$dbs->query("UPDATE `medal_user` SET `coll` = `coll` + ? WHERE `id` = ? LIMIT 1", array(1,$medal1['id']));
//
//
                        DB::$dbs->query('UPDATE `users` SET `name` = ?, `password` = ?, `token` = ?, `email` = ?, `gender` = ?, `save` = ?, `gold` = `gold` + ? WHERE `id` = ?',array($name,$pass,$token,$email,$gender,1,100,$user['id']));
				setcookie('token', $token, time()+60*60*24*365, '/');
				header('location: /index/'); exit;
			endif;
		        endif;

	//
	//
//
//
?>
<div class="start">
	<? 
    echo logs();
	?>
	<form action="" method="post">
	<input type="text" name="name" placeholder="Логин">
	<input type="text" name="password" placeholder="Пароль">
	<input type="text" name="email" placeholder="E-mail">
	<br /><select name="gender" class=""><option value="1">Мужчина</option><option value="2">Женщина</option></select>
	<input type="submit" class="butmin" name="enter" value="Сохранить">
	</form>
</div>
<?
//
//
foot([]);
//
//
?>